27 enero 2009

openSUSE 11.1: Cómo instalar o actualizar a KDE 4.2

(ACTUALIZADO): Corregidos los enlaces a los repositorios.

(ACTUALIZADO 26/04/2009): eliminada la información para la instalación mediante 1-click install. Ya no es posible instalarlo de esa forma.
Cambiada la url del repositorio de KDE 4.2

Este artículo parte del hecho que previamente tienes instalado KDE 4.1.3 que es el que viene por defecto en openSUSE 11.1.

Debemos tener en cuenta que actualizar a una versión que no es la que viene por defecto en nuestra distribución puede acarrearnos problemas, por lo que debemos ser conscientes de lo que estamos haciendo. Ten en cuenta que las explicaciones que dan este artículo son básicas y que por comodidad obvio algunas cosas, como por ejemplo seguir estos pasos involuntariamente implica la instalación de un entorno de escritorio GNOME y sus dependencias, así como la eliminación del paquete de compiz para KDE4.

Lo primero que debemos hacer es agregar el repositorio (instrucciones sobre como añadir un repositorio las podemos encontrar aquí) que tiene la última versión de KDE. Dicho repositorio se llama KDE 4 Factory - Desktop y su dirección url es la siguiente: http://download.opensuse.org/repositories/KDE:/42/openSUSE_11.1/

Una vez lo hayamos hecho accedemos al módulo de Yast para agregar software:


Vamos a actualizar todo nuestro sistema. Hacemos clic en la opción de menú "Paquete->Todos los paquetes->Actualizar si hay una versión posterior disponible".


Yast nos informará que se van actualizar bastantes paquetes:


Posteriormente nos avisa de un par de problemas de dependencias que debemos solventar manualmente. En ambos casos seleccionaremos la opción de "downgrade of..." y continuaremos haciendo clic en "Ok - Intentar de nuevo".


Ahora observaremos la lista de los paquetes que se han marcado para instalar/actualizar/eliminar.


Aceptamos y aparecerá ante nosotros otra ventana que nos informa de una serie de paquetes que se van a instalar como dependencia de los anteriores.


Continuamos y dará comienzo la instalación de todo lo necesario.


Cuando termine bastará con iniciar de nuevo sesión para comprobar que ya está instalado y funcional KDE 4.2 :)

11 comentarios:

Javier Andrés Alonso dijo...

Hola Raúl, una pregunta:

me he fijado en el link del repositorio que comentas y se corresponde a openSUSE 11.0:

http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.0/KDE4-DEFAULT.ymp

¿Este enlace es válido para la 11.1?

Gracias,

RkHrd dijo...

Hola Raúl, antes que nada te digo que me gusta mucho tu blog; empiezo en el mundo linux y me sirven mucho los tutoriales-comentarios que publicas.

Intenté con la URL que propones para añadir el repositorio pero me aparecían muchos conflictos (no únicamente dos como tu mencionas), seguí investigando y econtré que la dirección correcta (para los que usamos openSUSE 11.1, como dice en el título de esta entrada) es: http://download.opensuse.org/repositories/KDE:/KDE4:/Factory:/Desktop/openSUSE_11.1/

Ahora sí todo en marcha y espero que también te sirva Javier Andrés.


¡Saludos!

Raúl Moratalla dijo...
Este comentario ha sido eliminado por el autor.
Raúl Moratalla dijo...

Hola! Ya he corregido los enlaces, no se en qué estaría pensando xD

Gracias por hacérmelo saber y perdón por las molestias.

jorge dijo...

Raul Excelente guía, y lo molesto con un problema de dependencias hay uno que no me da la opcion "downgrade"
el repositorio es kdebase4-runtime, la opcion disponible es no instalar the policy-kit, quería saber si es fundamental policy-kit en el sistema o lo podría obviar, gracias.

Raúl Moratalla dijo...

Hola, hay que tener en cuenta que los paquetes están en fase de desarrollo y cada dos por tres sufren variaciones por lo que puede que a veces haya algún problema con ellos.

He actualizado hoy mismo a la última versión y todo ha funcionado bien.

El paquete que comentas es importante, no lo elimines desconozco las consecuencias que podrá tener.

Muadib dijo...

Gracias por el tuto! lo estoy instalando ahora (ahora en la factory está la 4.2.1)

Antonio dijo...

Hola Raul,

estoy tratando de instalar KDE 4.2 y como mencionana aqui al último ya va la versión del Factory 4.2.1 y no me aparece la opción de "downgrade" como mencionas, que hacer? le pongo ignorar?

Saludos

Raúl Moratalla dijo...

Hola Antonio, ayer actualicé a KDE 4.2.1 una instalación nueva de openSUSE 11.1 y no tuve ningún problema, es más ni siquiera me apareció ningún problema de dependencias.

Ante tu caso, no se qué opciones tendrás que no sea downgrade, imagino que eliminar o ignorar dependencias. En este caso ni una ni otra me parece lo más adecuado, pero si sabes loque estás haciendo yo optaría por eliminar los paquetes que no tienen las dependencias satisfechas siempre y cuando te percates de los paquetes que son y no sean críticos. Como elimines algo esencial se puede armar una buena ;)

Vicente Oliva dijo...

Hola Raúl, estoy comenzando en el mundo Linux y la verdad es que me atrae bastante. Imagino que este no es el lugar correcto, pero podrías indicarme un lugar donde profundizar en OpenSuse, acabo de instalar la versión 11.1 con KDE y no he probado GNOME, no sé que ventajas o inconvenientes tienen uno frente al otro.

Gracias por la ayuda.

Raúl Moratalla dijo...

Hola Vicente, lo mejor es que pruebes ambos y te quedes con el que más te guste. Ambos satisfarán tus necesidades pero hasta que no los pruebas no podrás juzgar con cual te sientes más cómodo.

Te recomiendo que eches un vistazo al artículo que acabo de crear por si te es de ayuda: http://www.raulmoratalla.com/2009/06/opensuse-donde-obtener-ayuda.html